# Generated using the scripts at https://pagure.io/fedora-cosmic/cosmic-packaging/blob/main/f/scripts

%global commit cb8e6d653b5062e046e83b4670c3d9944fa39c39
%global shortcommit %{sub %{commit} 1 7}
%global commitdatestring 2024-10-31 12:00:42 -0600
%global commitdate 20241031
%global cosmic_minver 1.0.0~alpha.5.1

Name:           cosmic-wallpapers
Version:        1.0.0~alpha.5.1^git%{commitdate}.%{shortcommit}
Release:        %autorelease
Summary:        Default wallpapers for the COSMIC Desktop Environment

# All cosmic wallpapers are either public domain or CC-BY-SA-4.0
License:        CC-BY-SA-4.0

URL:            https://github.com/pop-os/cosmic-wallpapers

# How to recreate this source
# Install git-lfs
# Clone https://github.com/pop-os/cosmic-wallpapers
# Checkout commit %%{commit}
# dnf install git-lfs
# git clone https://github.com/pop-os/cosmic-wallpapers
# cd cosmic-wallpapers && git checkout %%{commit} && cd ..
# tar -pczf cosmic-wallpapers-archive-%%{shortcommit}.tar.gz cosmic-wallpapers
Source0:        cosmic-wallpapers-archive-%%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  make

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
ls -a
tar -xf %{SOURCE0} -C ./cosmic-wallpapers-archive
ls -a
cd cosmic-wallpapers-archive

%build

%install
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
make install DESTDIR=%{buildroot} prefix=%{_prefix}

%files
%dir %{_datadir}/backgrounds/cosmic
%{_datadir}/backgrounds/cosmic/*
%license LICENSE

%changelog
%autochangelog
    
